Bug 242004 - (CVE-2007-0245) CVE-2007-0245 openoffice.org rtf filter buffer overflow
CVE-2007-0245 openoffice.org rtf filter buffer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 242005 242006 242007 242008 242009
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-01 04:38 EDT by Mark J. Cox (Product Security)
Modified: 2008-01-14 12:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 12:01:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-06-01 04:38:24 EDT
There is a flaw in the rtf filter for OpenOffice.org which can lead to a buffer
overflow.  See
http://www.openoffice.org/issues/show_bug.cgi?id=77214

A reproducer is in the above URL
Comment 2 Mark J. Cox (Product Security) 2007-06-13 03:55:07 EDT
this is now public as ooo2.1 is now available. 
http://www.debian.org/security/2007/dsa-1307 is also released.
removing embargo.
Comment 3 Red Hat Product Security 2008-01-14 12:01:50 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-0406.html

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-0410


Note You need to log in before you can comment on or make changes to this bug.